### Function

# Gimp ConfigWriter new_from_stream

since: 2.10

#### Declaration [src]

    GimpConfigWriter*
    gimp_config_writer_new_from_stream (
      GOutputStream* output,
      const gchar* header,
      GError** error
    )

#### Description [src]

Creates a new `GimpConfigWriter` and sets it up to write to `output`.

Available since: 2.10

#### Parameters

`output`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the function.

`header`

  Type: `const gchar*`

  Text to include as comment at the top of the file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GimpConfigWriter`

A new `GimpConfigWriter` or `NULL` in case of an error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.